%global major_version 4

Name:           diorite
Version:        4.8.0
Release:        1%{?dist}
# package contains different license types, see file COPYRIGHT
License:        BSD
Summary:        Utility and widget library for Nuvola Player
URL:            https://github.com/tiliado/diorite
Source0:        https://github.com/tiliado/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gobject-introspection-devel
BuildRequires:  pkgconfig(python3)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  %{_bindir}/valac
BuildRequires:  %{_bindir}/waf-3
# needed by test-suite
BuildRequires:  sqlite-devel
BuildRequires:  python3-pyparsing

%description
Diorite Library is a utility and widget library for Nuvola Player project based
on GLib, GIO and GTK.

%package        devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}

%prep
%setup -qn %{name}-%{version}

rm ./waf
rm -rf ./.waf

# E: wrong-script-interpreter 
sed -i -e 's|#!/usr/bin/env python3|#!/usr/bin/python3|g' testgen.py

%build
#VALAFLAGS=--quiet waf configure
waf configure \
          --prefix=%{_prefix} \
          --libdir=%{_libdir} \
          --novaladoc

waf build --prefix=%{_prefix} \
          --libdir=%{_libdir}

%install
waf install --prefix=%{_prefix} \
            --libdir=%{_libdir} \
            --destdir=%{buildroot}

%check
LD_LIBRARY_PATH=./build ./build/run-dioritetests

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README.md
%{_bindir}/%{name}-testgen%{major_version}
%{_libdir}/libdioriteglib%{major_version}.so
%{_libdir}/libdioritegtk%{major_version}.so
%{_libdir}/libdioritedb%{major_version}.so
%{_libdir}/girepository-1.0/Drt*1.0.typelib
%{_datadir}/vala/vapi/diorite*%{major_version}.*

%files devel
%{_libdir}/pkgconfig/diorite*.pc
%{_includedir}/diorite-1.0/*
%{_datadir}/gir-1.0/Drt*1.0.gir

%changelog
* Sat Sep 30 2017 Martin Gansser <martinkg@fedoraproject.org> - 4.8.0-1
- Update to stable 4.8.0

* Sat Sep 02 2017 Martin Gansser <martinkg@fedoraproject.org> - 4.7.0-1
- Update to stable 4.7.0
- Add BR gobject-introspection-devel

* Sun Jul 30 2017 Martin Gansser <martinkg@fedoraproject.org> - 4.6.0-1
- Update to stable 4.6.0

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 26 2017 Martin Gansser <martinkg@fedoraproject.org> - 4.5.0-1
- Update to stable 4.5.0
- Dropped wscript.patch

* Tue Jun 20 2017 Martin Gansser <martinkg@fedoraproject.org> - 4.4.0-2
- python3-pyparsing is required unconditionally

* Mon May 29 2017 Martin Gansser <martinkg@fedoraproject.org> - 4.4.0-1
- Update to stable 4.4.0
- Add wscript.patch

* Mon May 01 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.3.4-1
- Update to stable 0.3.4
- Dropped wscript.patch
- Dropped compile-on-rawhide.patch
- Specfile cleanup

* Thu Apr 20 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.3.3-3
- fixed wrong-script-end-of-line-encoding

* Thu Apr 20 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.3.3-2
- Add BR %%{_bindir}/waf
- Add BR sqlite-devel
- Add BR python3-pyparsing
- Add --no-ldconfig flag to prevent
- Dropped LICENSE file because it's wrong 
- Add wscript.patch
- Add compile-on-rawhide.patch 

* Sun Apr 16 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.3.3-1
- Update to stable 0.3.3

* Sat Jan 21 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.3.1-1
- Update to stable 0.3.1
- Correct license tag to BSD
- Use virtual provides for BR
- Add LICENSE file from master branch 

* Tue Jan 17 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0-1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5git888cb5f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 16 2015 Martin Gansser <martinkg@fedoraproject.org> - 0.1-0.4git888cb5f
- rebuild for new git release
- used wildcard for include dir
- deleted RR pkgconfig from devel package
- correct warning one-line-command-in-%%postun

* Mon Dec 15 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1-0.3git2dee74e
- rebuild for new git release

* Mon Nov 03 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1-0.2gitb18ccd0
- rebuild for new git release
- changed %%release format

* Thu Oct 30 2014 Martin Gansser <martinkg@fedoraproject.org> - 0.1-0.1gitfe5d13
- initial build

